# Created by pyp2rpm-3.3.2
%global pypi_name spark-parser

Name:           python-%{pypi_name}
Version:        1.8.9
Release:        %mkrel 6
Summary:        An Earley-Algorithm Context-free grammar Parser Toolkit
Group:          Development/Python
License:        MIT
URL:            https://github.com/rocky/python-spark/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/spark_parser-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(nose) >= 1.0
BuildRequires:  python3dist(setuptools)

%description
This package uses Jay Earley's algorithm for parsing context free grammars, and
comes with some generic Abstract Syntax Tree routines. There is also a
prototype scanner which does its job by combining Python regular expressions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click)

%description -n python3-%{pypi_name}
This package uses Jay Earley's algorithm for parsing context free grammars, and
comes with some generic Abstract Syntax Tree routines. There is also a
prototype scanner which does its job by combining Python regular expressions.

%prep
%autosetup -n spark_parser-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files spark_parser

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/spark-parser-coverage


%changelog
* Fri Feb 23 2024 papoteur <papoteur> 1.8.9-6.mga10
+ Revision: 2043545
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 1.8.9-5.mga9
+ Revision: 1833288
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.8.9-4.mga9
+ Revision: 1782504
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.8.9-3.mga9
+ Revision: 1732629
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 1.8.9-2.mga8
+ Revision: 1538582
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 wally <wally> 1.8.9-1.mga8
+ Revision: 1462418
- imported package python-spark-parser

